#%global debug_package %{nil}

Name:           2h4u
Version:        1.3
Release:        2%{?dist}
URL:            http://sourceforge.net/projects/toohardforyou
License:        GPL v2 or later
Group:          Amusements/Games/Action/Arcade
Summary:        Too Hard For You - a mix between a Tetris-like game and a wall breaker
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch0:         %{name}-%{version}-datadir.patch


BuildRequires:  gcc-c++
BuildRequires:  SDL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_ttf-devel
BuildRequires:  SDL_mixer-devel

%description
2H4U, which stands for Too Hard For You, is an open source game, and a mix between
a Tetris-like game and a wall breaker. It requires good reflexes, coordination,
and ambidexters should have some advantages. Will 2H4U be too hard for you?

%prep
%setup -q -n 2H4U
%patch0
cp %{SOURCE1} .

%build
cd scripts
make %{?_smp_mflags}

%install
install -D -m 0755 2H4U %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a data/* %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
cp %{buildroot}%{_datadir}/%{name}/images/icone.png %{buildroot}%{_datadir}/pixmaps/%{name}.png


%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null ||:

%files
%doc COPYING.txt LISEZ-MOI.txt README.txt aide help
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Apr 04 2020 josef radinger <cheese@nosuchhost.net> - 1.3-2
- bump version
- cleanup specfile
- better scripts

* Tue Mar 20 2018 Wei-Lun Chao <bluebat@member.fsf.org> - 1.3
- Rebuild for Fedora

* Mon Oct 20 2009 Wind <yc.yan@ossii.com.tw>
- Rebuild for OSSII.
- Add desktop and icon file.

* Fri Jun 13 2008 prusnak@suse.cz
- created package (version 1.3)
- repacked Musique.mp3 to Musique.ogg
- patched game to load data from /usr/share/games and to save config
  and high scores in ~/.2h4u/{config,hiscore} (datadir.patch)
